Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Contributor
Posts: 19
Registered: ‎10-25-2010
My Device: Not Specified

Version forbidden problem with both simulator and playbook device

Hi all,

 

I just installed Blackberry NDK and Playbook Simulator from Blackberry developer page.

 

When I try to run a sample application, I get an error message which says


actual_version::
result::failure 533 Application-Requires-System: version forbidden, want (10, 0, 4, 0) have (2, 0, 0, 7971)

 

The problem happens with both a real device (Playbook) and the simulator.

 

Can you tell me how should resolve the problem? I suppose I need to configure the target correctly, but U can't find any document.

 

Thanks a lot!

 

 

Developer
Developer
Posts: 1,123
Registered: ‎02-10-2009
My Device: 8130 / 8350 / 9530 / 9550 / 9850 / PlayBook
My Carrier: Verizon

Re: Version forbidden problem with both simulator and playbook device

Did you install the BB10 NDK or the PlayBook NDK? They are not interoperable. Sounds like you have the PlayBook simulator but have installed the BB10 NDK.
Contributor
Posts: 19
Registered: ‎10-25-2010
My Device: Not Specified

Re: Version forbidden problem with both simulator and playbook device

Yes. I downloaded and am using BB10 NDK. I was not sure when I installed them.

 

What  a version of NDK I should pick for my device (Playbook OS 2.0.x)?

 

Thanks,

 

rocket1

Highlighted
Developer
Developer
Posts: 1,123
Registered: ‎02-10-2009
My Device: 8130 / 8350 / 9530 / 9550 / 9850 / PlayBook
My Carrier: Verizon

Re: Version forbidden problem with both simulator and playbook device